## pam 1.0.1-maemo1

=== debian/changelog ===
pam (1.0.1-maemo1) stable; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2010 20:30:00 +0200
 

pam (1.0.1-5+lenny1) stable; urgency=high

  * Security NMU, high urgency.
  * Fix signedness error in _pam_StrTok(), CVE-2009-0887.
    Closes: #520115.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 17 Mar 2009 18:51:07 +0100

pam (1.0.1-5) unstable; urgency=low

  * Build-conflict with libxcrypt-dev, which otherwise pulls libxcrypt in as
    a dependency of libpam-modules if it's installed during the build.
    Thanks to Larry Doolittle for catching.
  * Don't refer to gnome-screensaver in the debconf template; it isn't
    actually affected by the libpam symbol issue because it forks a separate
    process to display the screensaver dialog.
  * Have libpam-modules Pre-Depend on ${misc:Depends}, so that we can
    warn users about needing to disable xscreensaver and xlockmore
    before libpam-modules is unpacked.  Closes: #502140, LP: #256238.
  * Updated debconf translations for the new template:
    - Italian, thanks to David Paleino <d.paleino@gmail.com>
    - Simplified Chinese, thanks to Deng Xiyue
      <manphiz-guest@users.alioth.debian.org> (closes: #510371)
    - Portuguese, thanks to Américo Monteiro <a_monteiro@netcabo.pt>
    - Swedish, thanks to Martin Bagge <brother@bsnet.se> (closes: #510379)
    - Japanese, thanks to Kenshi Muto <kmuto@debian.org> (closes: #510380)
    - Finnish, thanks to Esko Arajärvi <edu@iki.fi> (closes: #510382)
    - Spanish, thanks to Javier Fernandez-Sanguino Peña <jfs@debian.org>
      (closes: #510389)
    - Galician, thanks to Marce Villarino <mvillarino@gmail.com>
    - Slovak, thanks to helix84 <helix84@centrum.sk> (closes: #510412)
    - Bulgarian, thanks to Damyan Ivanov <dmn@debian.org>
    - Czech, thanks to Miroslav Kure <<kurem@upcase.inf.upol.cz>
      (closes: #510608)
    - French, thanks to Steve Petruzzello <dlist@bluewin.ch>
    - German, thanks to Sven Joachim <svenjoac@gmx.de> (closes: #510617)  
    - Basque, thanks to Piarres Beobide <pi+debian@beobide.net>
      (closes: #510699)
    - Russian, thanks to Yuri Kozlov <yuray@komyakino.ru> (closes: #510701)
    - Turkish, thanks to Mert Dirik <mertdirik@gmail.com> (closes: #510707)

 -- Steve Langasek <vorlon@debian.org>  Tue, 06 Jan 2009 00:05:13 -0800

pam (1.0.1-4) unstable; urgency=high

  * High-urgency upload for RC bugfix.

  [ Julien Cristau ]
  * pam_unix-chkpwd-wait: don't assume that the unix_chkpwd process exits
    normally; if it was killed by a signal, we don't want to accept the
    password.  Closes: #495879.

  [ Steve Langasek ]
  * 007_modules_pam_unix: update the manpage at the same time as the xml
    source (grr, autogenerated files in source packages).  Closes: #495804.
  * 055_pam_unix_nullok_secure: also don't call the helper at all from
    _unix_blankpasswd when we can detect that null passwords are disallowed,
    to avoid causing spammy logs on successful authentications.
    Closes: #496620.
  * debian/rules: call chgrp *before* calling chmod, lest the sgid bit
    on unix_chkpwd be cleared during the build when using -rsudo.
    Closes: #496983.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Aug 2008 22:59:23 -0700

pam (1.0.1-3) unstable; urgency=high

  * 055_pam_unix_nullok_secure: don't call _pammodutil_tty_secure with a NULL
    tty argument, since this will cause our helper to segfault instead of
    returning a useful value.  Thanks to Troy Davis for the report.
    Closes: #495806.

 -- Steve Langasek <vorlon@debian.org>  Wed, 20 Aug 2008 11:55:47 -0700

pam (1.0.1-2) unstable; urgency=low

  * 007_modules_pam_unix: update the documentation to correctly document
    the default minimum password length is 6, not 1.
  * Look for cups instead of cupsys as an init script name when restarting
    services; thanks to Stephen Olander-Waters for pointing this out.
    Closes: #492977.
  * Update the Debian PAM mini-policy to remove references to the
    long-obsolete pam_pwdb, and clarify the relationship between pam_stack
    and @include.
  * Drop various bits of unused cruft from the debian/ directory.
  * Drop libpam-runtime.preinst, only used for upgrades from woody to sarge
    to deal with modified conffiles.
  * Build-Conflict with libdb4.2-dev, which satisfies the libdb-dev
    build-dependency but causes pam_userdb to be silently omitted.
    Closes: #493574.
  * 054_pam_security_abstract_securetty_handling: move the warning log about
    an insecure tty back to pam_securetty proper; we don't want to generate
    log messages every time pam_unix is called as non-root.
    Closes: #493283.  As a side-effect, pam_unix no longer logs any warnings
    about NULL password + insecure tty, but I don't think this is critical.

 -- Steve Langasek <vorlon@debian.org>  Fri, 08 Aug 2008 10:47:26 -0700

pam (1.0.1-1) unstable; urgency=low

  * New upstream version.
    - pam_limits: bound RLIMIT_NICE from below. Closes: #403718.
    - pam_mail: set the MAIL variable even when .hushlogin is set.
      Closes: #421010.
    - new minclass option introduced for pam_cracklib.  Closes: #454237.
    - fix a failure to check the string length when matching usernames in
      pam_group.  Closes: #444427.
    - fix setting shell security context in pam_selinux.  Closes: #451722.
    - use --disable-audit, to avoid libaudit being linked in
      accidentally
    - pam_unix now supports SHA-256 and SHA-512 password hashes.
      Closes: #484249, LP: #245786.
    - pam_rhosts_auth is dropped upstream (closes: #382987); add a compat
      symlink to pam_rhosts to support upgrades for a release, and give a
      warning in NEWS.Debian.
    - new symbol in libpam.so.0, pam_modutil_audit_write; shlibs bump, and
      do another round of service restarts on upgrade.
    - pam_unix helper is now called whenever an unprivileged process

