=== debian/control ===
Source: pam
Section: libs
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.8.0
Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper, quilt, flex, libdb-dev, libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386], po-debconf
Build-Depends-Indep: xsltproc, libxml2-utils, docbook-xml, docbook-xsl, w3m
Build-Conflicts-Indep: fop
Build-Conflicts: libxcrypt-dev
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-pam/debian/sid/
Homepage: http://pam.sourceforge.net/

Package: libpam0g
Priority: required
Architecture: any
Conflicts: libpam0 (<= 0.56-2), libpam
Replaces: libpam0g-util
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime
Suggests: libpam-doc
Description: Pluggable Authentication Modules library
 Contains the C shared library for Linux-PAM, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.  In other words, without rewriting
 or recompiling a PAM-aware application, it is possible to switch
 between the authentication mechanism(s) it uses.  One may entirely
 upgrade the local authentication system without touching the
 applications themselves.

Package: libpam-modules
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpam0g-modules (= 0.66-1), libpam-motd, libpam-mkhomedir, libpam-umask, suidmanager (<< 0.50)
Replaces: libpam0g-util, libpam-umask
Provides: libpam-motd, libpam-mkhomedir, libpam-umask
Description: Pluggable Authentication Modules for PAM
 This package completes the set of modules for PAM. It includes the
  pam_unix_*.so module as well as some specialty modules.

Package: libpam-runtime
Section: admin
Priority: required
Architecture: all
Replaces: libpam0g-util, libpam0g-dev
Conflicts: libpam0g-util, libpam0g (<< 0.66-0)
Description: Runtime support for the PAM library
 Contains configuration files and  directories required for
 authentication  to work on Debian systems.  This package is required
 on almost all installations.

Package: libpam0g-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libpam0g (= ${binary:Version}), libc6-dev|libc-dev
Conflicts: libpam-dev, libpam-dbg
Replaces: libpam0g (<= 0.65)
Provides: libpam-dev
Description: Development files for PAM
 Contains C header files and development shared libraries for libpam, the
 pluggable authentication modules, a suite of shared libraries that enable
 the local system administrator to choose how applications authenticate
 users.
 .
 PAM decouples applications from the authentication mechanism, making it
 possible to upgrade the authentication system without recompiling or
 rewriting the applications.

Package: libpam-cracklib
Priority: optional
Architecture: any
Replaces: libpam0g-cracklib
Depends: ${shlibs:Depends}, cracklib-runtime, wamerican | wordlist
Description: PAM module to enable cracklib support
 This package includes libpam_cracklib, a PAM module that tests
 passwords to make sure they are not too weak during password change.

Package: libpam-doc
Provides: pam-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation of PAM
 Contains documentation (in HTML, ASCII, and PostScript format) for
 libpam, the Pluggable Authentication Modules library, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.
